> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a page

> Updates the specified page by providing values to parameters passed. Any parameter left out of the request will cause the specific page’s attribute to remain unchanged.

<Note>
Also, collections cannot be added or removed via this endpoint, only reordered. Giving access to a user or group will also cause that user or group to have access to the parent page (if the page is a subpage). Moving a page by updating the parentId will also cause everyone with access to the page to have access to the new parent page.
</Note>



## OpenAPI

````yaml /openapi/platform/page.yaml PUT /v1/pages/{page_id}
openapi: 3.1.0
info:
  title: Page API
  version: '1.0'
  description: >-
    ### The page object


    The page object is a screen where you can view a “collection” of data, which
    is typically displayed in cards. You use a page to organize, manage, and
    share content to other users in Domo. Pages allow you to send external
    reports, create holistic filters across all metrics within the page, or have
    conversations in Domo’s Buzz tool about the data associated to the entire
    page.  The Page API allows you to create, delete,  retrieve a page or a list
    of pages, and update page information and content within a page.


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | The name of the page

    id | string | The ID of the page

    parentId | integer | The ID of the page that is higher in organizational
    hierarchy 

    owners | array | List of IDs of page owners

    locked | boolean | Determines whether users (besides the page owner) can
    make updates to page or its content - the default value is false

    collectionIds | array | The IDs of collections within a page

    cardIds | array | The ID of all cards contained within the page

    children | object | All pages that are considered "sub pages" in
    organizational hierarchy

    visibility | object | Determines the access given to both individual users
    or groups within Domo

    userIds | array | The IDs of users with access to the page

    groupIds | array | The IDs of groups with access to the page
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/pages/{page_id}:
    parameters:
      - schema:
          type: string
          example: '876655018'
        name: page_id
        in: path
        required: true
        description: The ID of the page
    put:
      summary: Update a page
      description: >-
        Updates the specified page by providing values to parameters passed. Any
        parameter left out of the request will cause the specific page’s
        attribute to remain unchanged.


        <Note>

        Also, collections cannot be added or removed via this endpoint, only
        reordered. Giving access to a user or group will also cause that user or
        group to have access to the parent page (if the page is a subpage).
        Moving a page by updating the parentId will also cause everyone with
        access to the page to have access to the new parent page.

        </Note>
      operationId: put-v1-pages-page_id
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Will update the name of the page
                owners:
                  type: array
                  description: Will update the owners of the page
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                      type:
                        type: string
                      displayName:
                        type: string
                parentId:
                  type: integer
                  description: >-
                    If provided, will either make the page a subpage or simply
                    move the subpage to become a child of a different parent
                    page
                locked:
                  type: boolean
                  description: Will restrict access to edit page
                collectionIds:
                  type: array
                  description: >-
                    Collections cannot be added or removed but the order can be
                    updated based on the order of IDs provided in the argument
                  items:
                    type: integer
                cardIds:
                  type: array
                  description: >-
                    IDs provided will add or remove cards that are not a part of
                    a page collection
                  items:
                    type: integer
                visibility:
                  type: object
                  description: Shares pages with users or groups
                  properties:
                    userIds:
                      type: array
                      description: IDs provided will share page with associated users
                      items:
                        type: integer
                    groupIds:
                      type: array
                      description: IDs provided will share page with associated groups
                      items:
                        type: integer
      responses:
        '200':
          description: >-
            Returns the parameter of success or error based on the page ID being
            valid.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````